<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.base.mapper.QrCodeTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.base.model.QrCodeType" >
    <id column="QR_CODE_TYPE_ID" property="qrCodeTypeId" jdbcType="BIGINT" />
    <result column="QR_CODE_TYPE_CODE" property="qrCodeTypeCode" jdbcType="VARCHAR" />
    <result column="QR_CODE_TYPE_NAME" property="qrCodeTypeName" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    QR_CODE_TYPE_ID, QR_CODE_TYPE_CODE, QR_CODE_TYPE_NAME
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from qr_code_type
    where QR_CODE_TYPE_ID = #{qrCodeTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from qr_code_type
    where QR_CODE_TYPE_ID = #{qrCodeTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.base.model.QrCodeType" >
    insert into qr_code_type (QR_CODE_TYPE_ID, QR_CODE_TYPE_CODE, QR_CODE_TYPE_NAME
      )
    values (#{qrCodeTypeId,jdbcType=BIGINT}, #{qrCodeTypeCode,jdbcType=VARCHAR}, #{qrCodeTypeName,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.base.model.QrCodeType" >
    insert into qr_code_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="qrCodeTypeId != null" >
        QR_CODE_TYPE_ID,
      </if>
      <if test="qrCodeTypeCode != null" >
        QR_CODE_TYPE_CODE,
      </if>
      <if test="qrCodeTypeName != null" >
        QR_CODE_TYPE_NAME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="qrCodeTypeId != null" >
        #{qrCodeTypeId,jdbcType=BIGINT},
      </if>
      <if test="qrCodeTypeCode != null" >
        #{qrCodeTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="qrCodeTypeName != null" >
        #{qrCodeTypeName,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.base.model.QrCodeType" >
    update qr_code_type
    <set >
      <if test="qrCodeTypeCode != null" >
        QR_CODE_TYPE_CODE = #{qrCodeTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="qrCodeTypeName != null" >
        QR_CODE_TYPE_NAME = #{qrCodeTypeName,jdbcType=VARCHAR},
      </if>
    </set>
    where QR_CODE_TYPE_ID = #{qrCodeTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.base.model.QrCodeType" >
    update qr_code_type
    set QR_CODE_TYPE_CODE = #{qrCodeTypeCode,jdbcType=VARCHAR},
      QR_CODE_TYPE_NAME = #{qrCodeTypeName,jdbcType=VARCHAR}
    where QR_CODE_TYPE_ID = #{qrCodeTypeId,jdbcType=BIGINT}
  </update>
</mapper>